#!/bin/sh
# 
# Licensed Materials - Property of IBM
#
# IBM Surveillance Insight for Financial Services, PID 5725-Y79
# IBM Surveillance Insight for Financial Services on Cloud, PID 5737-A59
#
# (c) Copyright IBM Corporation 2017, 2019
#
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#
if [ $# -lt 2 ]; then
  echo; echo "Usage:"
  echo "        sh $0 <SI UserName> <Password>"
  echo "        Ex: $0 siadmin password"
  exit 1
fi


UserName=$1
Password=$2
kubemaster_host=$HOSTNAME

JWTJson=$(curl -k -X GET "https://$kubemaster_host:3080/security-auth/api/v1.0/login/ldap?username=$UserName&password=$Password")

#echo "Received JWT token in JSON format:" $JWTJson
OIFS=$IFS
IFS=':'
#split JWT JSON based on delimitter ':' into array JWTArray
read -ra JWTArray <<< "$JWTJson"

#Got the second part of split JSON. The second part end with a flower bracket(})
JWTendsWithFlowerBracket=${JWTArray[1]}


IFS=$OIFS

#Remove the flower bracket(}) from JWT
JWT=$(echo $JWTendsWithFlowerBracket| tr -d '}')

token=$(echo $JWT | tr -d '"')


cmd="curl -k -H 'x-access-token: $token' -X POST -F metadata=@Audio1.json -F audiofile=@Audio1.wav -v https://$kubemaster_host:3080/SIFSVoiceIngestionService/voice/v1/ingest"
eval $cmd
cmd="curl -k -H 'x-access-token: $token' -X POST -F metadata=@Audio2.json -F audiofile=@Audio2.wav -v https://$kubemaster_host:3080/SIFSVoiceIngestionService/voice/v1/ingest"
eval $cmd
cmd="curl -k -H 'x-access-token: $token' -X POST -F metadata=@Audio3.json -F audiofile=@Audio3.wav -v https://$kubemaster_host:3080/SIFSVoiceIngestionService/voice/v1/ingest"
eval $cmd
cmd="curl -k -H 'x-access-token: $token' -X POST -F metadata=@Audio5.json -F audiofile=@Audio5.wav -v https://$kubemaster_host:3080/SIFSVoiceIngestionService/voice/v1/ingest"
eval $cmd
cmd="curl -k -H 'x-access-token: $token' -X POST -F metadata=@File1.json -F audiofile=@File1.mp3 -v https://$kubemaster_host:3080/SIFSVoiceIngestionService/voice/v1/ingest"
eval $cmd
cmd="curl -k -H 'x-access-token: $token' -X POST -F metadata=@File2.json -F audiofile=@File2.mp3 -v https://$kubemaster_host:3080/SIFSVoiceIngestionService/voice/v1/ingest"
eval $cmd


